"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard"), _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _amosReactRouter = require("amos-react-router"), _DateUtil = require("../../../utils/DateUtil"), _viewConsts = require("../../../consts/viewConsts");

function _createSuper(e) {
    var t = _isNativeReflectConstruct();
    return function() {
        var r, a = (0, _getPrototypeOf2.default)(e);
        if (t) {
            var i = (0, _getPrototypeOf2.default)(this).constructor;
            r = Reflect.construct(a, arguments, i);
        } else r = a.apply(this, arguments);
        return (0, _possibleConstructorReturn2.default)(this, r);
    };
}

function _isNativeReflectConstruct() {
    if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
    if (Reflect.construct.sham) return !1;
    if ("function" == typeof Proxy) return !0;
    try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
        !0;
    } catch (e) {
        return !1;
    }
}

var TableCard = function(e) {
    (0, _inherits2.default)(r, e);
    var t = _createSuper(r);
    function r(e) {
        var a;
        return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
        _assertThisInitialized2.default)(a), "confirm", (function() {
            var e = a.props.cardData;
            a.props.delInfo(e.id);
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "delBtn", (function() {
            _amosAntd.Modal.confirm({
                title: "删除",
                content: "是否删除所选信息？",
                okText: "确定",
                cancelText: "取消",
                onOk: a.confirm,
                onCancel: function() {}
            });
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "showDetail", (function() {
            var e = a.props, t = e.updateAddView;
            (0, e.setSelected)(e.cardData), t("3");
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "extraBtn", (function() {
            var e = a.props, t = e.isDel, r = e.cardData, i = (void 0 === r ? {} : r).typeImg || "agreement.png", l = (0, 
            _viewConsts.completeDevIcon)(i), n = [];
            return n.push(_react.default.createElement("div", {
                key: "left1",
                className: "title-left"
            }, _react.default.createElement("img", {
                src: l,
                alt: ""
            }))), t ? n.push(_react.default.createElement("a", {
                key: "del1",
                onClick: a.delBtn
            }, _react.default.createElement(_amosAntd.Icon, {
                type: "close",
                className: "basic-info-add"
            }))) : n.push(_react.default.createElement("div", {
                key: "block1",
                style: {
                    width: "12px",
                    display: "inline-block"
                }
            })), n;
        })), a.state = {}, a;
    }
    return (0, _createClass2.default)(r, [ {
        key: "render",
        value: function() {
            var e = this.props.cardData, t = e ? e.name : "", r = e ? e.version : "", a = e ? e.scriptLang.name : "", i = e ? e.createTime : "", l = e ? e.descr : "";
            return _react.default.createElement("div", {
                className: "table-card "
            }, _react.default.createElement(_amosAntd.Card, {
                title: t,
                extra: this.extraBtn()
            }, _react.default.createElement("div", {
                onClick: this.showDetail
            }, _react.default.createElement("p", {
                title: r
            }, "版  本：", r), _react.default.createElement("p", {
                title: a
            }, "实现方式：", a), _react.default.createElement("p", {
                title: (0, _DateUtil.dateToStr)(i)
            }, "时  间：", (0, _DateUtil.dateToStr)(i)), _react.default.createElement("p", {
                title: l,
                style: {
                    overflow: "hidden",
                    "text-overflow": "ellipsis",
                    "white-space": "nowrap"
                }
            }, "说  明：", l))));
        }
    } ]), r;
}(_react.Component);

TableCard.displayName = "TableCard", TableCard.propTypes = {
    cardData: _propTypes.default.any,
    isDel: _propTypes.default.bool,
    updateAddView: _propTypes.default.func,
    delInfo: _propTypes.default.func
};

var _default = TableCard;

exports.default = _default;