"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard"), _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _FilterBtn = _interopRequireDefault(require("./FilterBtn"));

function _createSuper(e) {
    var t = _isNativeReflectConstruct();
    return function() {
        var r, a = (0, _getPrototypeOf2.default)(e);
        if (t) {
            var i = (0, _getPrototypeOf2.default)(this).constructor;
            r = Reflect.construct(a, arguments, i);
        } else r = a.apply(this, arguments);
        return (0, _possibleConstructorReturn2.default)(this, r);
    };
}

function _isNativeReflectConstruct() {
    if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
    if (Reflect.construct.sham) return !1;
    if ("function" == typeof Proxy) return !0;
    try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
        !0;
    } catch (e) {
        return !1;
    }
}

var SearchBar = function(e) {
    (0, _inherits2.default)(r, e);
    var t = _createSuper(r);
    function r(e) {
        var a;
        return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
        _assertThisInitialized2.default)(a), "onSearch", (function(e) {
            for (var t = a.state, r = t.inputName, i = t.filterList, l = [], n = 0; n < i.length; n++) {
                var u = i[n];
                "dicIdScriptLang" === u.name && l.push(u);
            }
            0 !== r.length && l.push({
                name: "name",
                type: "LIKE",
                value: r
            }), a.props.handleCriterias(l);
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "onChange", (function(e) {
            a.setState({
                inputName: e.target.value.trim()
            });
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "filterOnChange", (function(e) {
            var t = [];
            if (e.map((function(e) {
                e.selected && t.push(e.value);
            })), 0 !== t.length) {
                var r = [ {
                    name: "dicIdScriptLang",
                    type: "IN",
                    value: t
                } ];
                a.setState({
                    filterList: r
                });
            } else a.setState({
                filterList: []
            });
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "showFilter", (function() {
            a.setState({
                filterDisplay: "show-div"
            });
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "hidFilter", (function() {
            a.setState({
                filterDisplay: "hide-div"
            });
        })), a.state = {
            filterDisplay: "hide-div",
            inputName: "",
            filterList: []
        }, a;
    }
    return (0, _createClass2.default)(r, [ {
        key: "render",
        value: function() {
            var e = this.state.filterDisplay, t = "search-filter ".concat(e), r = "modal-box ".concat(e);
            return _react.default.createElement("div", {
                className: "search-bar"
            }, _react.default.createElement("div", {
                className: "search-input"
            }, _react.default.createElement(_amosAntd.Input, {
                placeholder: "请输入搜索内容",
                onFocus: this.showFilter,
                onChange: this.onChange
            }), _react.default.createElement(_amosAntd.Button, {
                type: "primary",
                onClick: this.onSearch
            }, "搜索"), _react.default.createElement("div", {
                className: r,
                onClick: this.hidFilter
            }), _react.default.createElement("div", {
                className: t
            }, _react.default.createElement(_FilterBtn.default, (0, _extends2.default)({
                filterOnChange: this.filterOnChange
            }, this.props)))));
        }
    } ]), r;
}(_react.Component);

SearchBar.displayName = "SearchBar", SearchBar.propTypes = {
    handleCriterias: _propTypes.default.func,
    scriptLangOptions: _propTypes.default.array
};

var _default = SearchBar;

exports.default = _default;