"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard"), _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _echarts = require("amos-viz/lib/echarts"), _amosReactRouter = require("amos-react-router"), _rayEventpool = require("ray-eventpool"), _EquipProtocolData = require("./chartData/EquipProtocolData"), _protocoService = require("./../../../../services/protocoService"), _nodeConf = require("./modelConf/nodeConf");

function _createSuper(e) {
    var t = _isNativeReflectConstruct();
    return function() {
        var r, a = (0, _getPrototypeOf2.default)(e);
        if (t) {
            var o = (0, _getPrototypeOf2.default)(this).constructor;
            r = Reflect.construct(a, arguments, o);
        } else r = a.apply(this, arguments);
        return (0, _possibleConstructorReturn2.default)(this, r);
    };
}

function _isNativeReflectConstruct() {
    if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
    if (Reflect.construct.sham) return !1;
    if ("function" == typeof Proxy) return !0;
    try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
        !0;
    } catch (e) {
        return !1;
    }
}

var num = 20, EquipProtocol = function(e) {
    (0, _inherits2.default)(r, e);
    var t = _createSuper(r);
    function r(e) {
        var a;
        return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
        _assertThisInitialized2.default)(a), "eConsole", (function(e) {
            var t = e.dataIndex;
            a.jumpTrigger(), 0 === t ? _amosReactRouter.browserHistory.push("/main/monitor/deviceCustom/deviceProtocol") : 2 === t && _amosReactRouter.browserHistory.push("/main/monitor/deviceCustom/deviceProtocol?activeKey=2");
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "jumpTrigger", (function() {
            _rayEventpool.PubSub.publish(_nodeConf.STATICTICS_JUMP_TOPIC.trigger, {
                childkey: "11",
                parentKey: "9"
            });
        })), a.state = {
            count: 0,
            pubCount: 0,
            priCount: 0
        }, a;
    }
    return (0, _createClass2.default)(r, [ {
        key: "componentDidMount",
        value: function() {
            var e = this;
            (0, _protocoService.countProtocolInfoAction)().then((function(t) {
                e.setState({
                    count: t.count,
                    pubCount: t.pubCount,
                    priCount: t.priCount
                });
            }));
        }
    }, {
        key: "render",
        value: function() {
            var e = this, t = this.state, r = t.count, a = t.pubCount, o = t.priCount, i = [], u = {
                type: "click",
                handler: this.eConsole
            };
            i.push(u);
            var l = _EquipProtocolData.option;
            return l.series[0].data[0].value = a, l.series[0].data[1].value = r / num, l.series[0].data[2].value = o, 
            l.series[0].data[3].value = r / num, _react.default.createElement("div", {
                className: "overview-item-chart"
            }, _react.default.createElement("div", {
                className: "overview-prototypeequip-chart"
            }, _react.default.createElement(_echarts.PieCharts, {
                pieOps: _EquipProtocolData.option,
                chartStyle: {
                    width: "100%",
                    height: "82px"
                },
                eventpool: i
            })), _react.default.createElement("div", {
                className: "overview-prototypeequip-item title"
            }, _react.default.createElement("p", {
                className: "value"
            }, r), _react.default.createElement("p", {
                className: ""
            }, "总数")), _react.default.createElement("div", {
                className: "overview-prototypeequip-item first"
            }, _react.default.createElement("p", {
                className: "value",
                onClick: function(t) {
                    return e.eConsole({
                        dataIndex: 0
                    }, t);
                }
            }, a), _react.default.createElement("p", {
                className: ""
            }, _react.default.createElement("span", null), "公开通信协议")), _react.default.createElement("div", {
                className: "overview-prototypeequip-item second"
            }, _react.default.createElement("p", {
                className: "value",
                onClick: function(t) {
                    return e.eConsole({
                        dataIndex: 2
                    }, t);
                }
            }, o), _react.default.createElement("p", {
                className: ""
            }, _react.default.createElement("span", null), "私有通信协议")));
        }
    } ]), r;
}(_react.Component);

EquipProtocol.displayName = "EquipProtocol";

var _default = EquipProtocol;

exports.default = _default;