"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard"), _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _urlConsts = _interopRequireDefault(require("../../../consts/urlConsts")), _processor = require("../../../utils/processor"), _DeviceEnum = require("./../../deviceManage/common/DeviceEnum"), _DeviceLang = require("./../../deviceManage/common/DeviceLang");

function _createSuper(e) {
    var t = _isNativeReflectConstruct();
    return function() {
        var r, a = (0, _getPrototypeOf2.default)(e);
        if (t) {
            var n = (0, _getPrototypeOf2.default)(this).constructor;
            r = Reflect.construct(a, arguments, n);
        } else r = a.apply(this, arguments);
        return (0, _possibleConstructorReturn2.default)(this, r);
    };
}

function _isNativeReflectConstruct() {
    if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
    if (Reflect.construct.sham) return !1;
    if ("function" == typeof Proxy) return !0;
    try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
        !0;
    } catch (e) {
        return !1;
    }
}

var Option = _amosAntd.Select.Option, dataTypeOption = (0, _DeviceLang.enums2array)(_DeviceEnum.deviceCategoryEnum).map((function(e) {
    return _react.default.createElement(Option, {
        key: e.key,
        value: "".concat(e.key)
    }, e.label);
})), CreateDeviceSearch = function(e) {
    (0, _inherits2.default)(r, e);
    var t = _createSuper(r);
    function r(e) {
        var a;
        return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
        _assertThisInitialized2.default)(a), "onChange", (function(e) {
            var t = a.state.searchParam;
            t.name = e.target.value, a.setState({
                searchParam: t
            });
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "onSelectedChange", (function(e, t) {
            var r = a.state.searchParam;
            r[t] = e, a.setState({
                searchParam: r
            });
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "getVocationData", (function() {
            _processor.AmosFetch.get(_urlConsts.default.equiptemplateIndustry).then((function(e) {
                if (e.ok) return e.json();
                throw new Error("从服务端获取数据失败！");
            })).then((function(e) {
                if ("SUCCESS" === e.result) {
                    var t = [];
                    !e || e.dataList.map((function(e) {
                        t.push(_react.default.createElement(Option, {
                            key: e.id,
                            value: "".concat(e.id)
                        }, e.name));
                    })), a.setState({
                        equiptemplateIndustryOptions: t
                    });
                }
            })), _processor.AmosFetch.get(_urlConsts.default.getDeviceModeData).then((function(e) {
                if (e.ok) return e.json();
                throw new Error("从服务端获取数据失败！");
            })).then((function(e) {
                if ("SUCCESS" === e.result) {
                    var t = [];
                    !e || e.dataList.map((function(e) {
                        t.push(_react.default.createElement(Option, {
                            key: e.model,
                            value: "".concat(e.model)
                        }, e.model));
                    })), a.setState({
                        modelOptions: t
                    });
                }
            }));
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "searchData", (function() {
            var e = a.state.searchParam;
            e && a.props.setSearchParam(e);
        })), a.state = {
            equiptemplateIndustryOptions: [],
            searchParam: {},
            modelOptions: []
        }, a;
    }
    return (0, _createClass2.default)(r, [ {
        key: "componentWillMount",
        value: function() {}
    }, {
        key: "componentDidMount",
        value: function() {
            this.getVocationData();
        }
    }, {
        key: "componentWillReceiveProps",
        value: function(e) {}
    }, {
        key: "componentWillUnmount",
        value: function() {}
    }, {
        key: "render",
        value: function() {
            var e = this, t = this.state, r = t.equiptemplateIndustryOptions, a = t.modelOptions;
            return _react.default.createElement("div", {
                className: "create-device-search-root"
            }, _react.default.createElement("div", {
                className: "create-device-search-tab"
            }, "我的设备"), _react.default.createElement("div", {
                className: "catalog-select"
            }, _react.default.createElement(_amosAntd.Select, {
                style: {
                    width: "170px"
                },
                dropdownStyle: {
                    width: "170px"
                },
                dropdownMatchSelectWidth: !0,
                onChange: function(t) {
                    return e.onSelectedChange(t, "type");
                },
                placeholder: "类别",
                allowClear: !0
            }, dataTypeOption)), _react.default.createElement("div", {
                className: "vocation-select"
            }, _react.default.createElement(_amosAntd.Select, {
                style: {
                    width: "170px"
                },
                dropdownStyle: {
                    width: "170px"
                },
                dropdownMatchSelectWidth: !0,
                onChange: function(t) {
                    return e.onSelectedChange(t, "industryId");
                },
                placeholder: "行业",
                allowClear: !0
            }, r)), _react.default.createElement("div", {
                className: "vocation3-select"
            }, _react.default.createElement(_amosAntd.Select, {
                style: {
                    width: "170px"
                },
                dropdownStyle: {
                    width: "170px"
                },
                dropdownMatchSelectWidth: !0,
                onChange: function(t) {
                    return e.onSelectedChange(t, "model");
                },
                placeholder: "型号",
                allowClear: !0
            }, a)), _react.default.createElement("div", {
                className: "search-device"
            }, _react.default.createElement(_amosAntd.Input, {
                placeholder: "请输入搜索内容",
                onChange: this.onChange,
                onPressEnter: this.searchData,
                style: {
                    width: "150px",
                    "border-radius": "10px"
                }
            }), _react.default.createElement("img", {
                src: require("./../../../assets/iot/deviceManage/search.png"),
                alt: "",
                onClick: this.searchData
            })));
        }
    } ]), r;
}(_react.Component);

CreateDeviceSearch.displayName = "CreateDeviceSearch", CreateDeviceSearch.propTypes = {
    setSearchParam: _propTypes.default.func
};

var _default = CreateDeviceSearch;

exports.default = _default;