"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard"), _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _amosIcon = _interopRequireDefault(require("amos-icon")), _urlConsts = _interopRequireDefault(require("../../../../consts/urlConsts")), _amosFramework = require("amos-framework"), _processor = require("../../../../utils/processor"), _SearchBar = _interopRequireDefault(require("./../../common/SearchBar")), _DeviceEnum = require("./../../../deviceManage/common/DeviceEnum"), _DeviceLang = require("./../../../deviceManage/common/DeviceLang");

function _createSuper(e) {
    var t = _isNativeReflectConstruct();
    return function() {
        var r, a = (0, _getPrototypeOf2.default)(e);
        if (t) {
            var i = (0, _getPrototypeOf2.default)(this).constructor;
            r = Reflect.construct(a, arguments, i);
        } else r = a.apply(this, arguments);
        return (0, _possibleConstructorReturn2.default)(this, r);
    };
}

function _isNativeReflectConstruct() {
    if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
    if (Reflect.construct.sham) return !1;
    if ("function" == typeof Proxy) return !0;
    try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
        !0;
    } catch (e) {
        return !1;
    }
}

var Option = _amosAntd.Select.Option, dataTypeOption = (0, _DeviceLang.enums2array)(_DeviceEnum.deviceCategoryEnum).map((function(e) {
    return _react.default.createElement(Option, {
        key: e.key,
        value: e.key
    }, e.label);
})), ChooseEquipmentPanel = function(e) {
    (0, _inherits2.default)(r, e);
    var t = _createSuper(r);
    function r(e) {
        var a;
        return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
        _assertThisInitialized2.default)(a), "onSelectedChange", (function(e, t) {
            var r = a.state.searchParam;
            r[t] = e, a.setState({
                searchParam: r
            });
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "getVocationData", (function() {
            _processor.AmosFetch.get(_urlConsts.default.equiptemplateIndustry).then((function(e) {
                if (e.ok) return e.json();
                throw new Error("从服务端获取数据失败！");
            })).then((function(e) {
                if ("SUCCESS" === e.result) {
                    var t = [];
                    !e || e.dataList.map((function(e) {
                        t.push(_react.default.createElement(Option, {
                            key: e.id,
                            value: e.id
                        }, e.name));
                    })), a.setState({
                        equiptemplateIndustryOptions: t
                    });
                }
            }));
        })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "clickPanel", (function() {
            var e = a.state.expandStyle, t = a.props.changeLeftPanelWidth;
            "device-choose-root-hide" === e ? (e = "device-choose-root", t(!0)) : (e = "device-choose-root-hide", 
            t(!1)), a.setState({
                expandStyle: e
            });
        })), a.state = {
            capacityBasicInfo: {},
            interfaceBasicInfo: {},
            expandStyle: "device-choose-root",
            equiptemplateIndustryDataList: [],
            searchParam: {}
        }, a;
    }
    return (0, _createClass2.default)(r, [ {
        key: "componentDidMount",
        value: function() {
            this.getVocationData();
        }
    }, {
        key: "componentWillReceiveProps",
        value: function(e) {}
    }, {
        key: "render",
        value: function() {
            var e = this, t = this.props, r = (t.getPublicDevice, t.getPrivateDevice, t.communityOptions), a = t.handleCriterias, i = t.generatePanelByDevice, n = this.state, o = n.expandStyle, l = n.equiptemplateIndustryOptions, c = n.searchParam;
            return _react.default.createElement("div", {
                className: o
            }, _react.default.createElement("div", {
                className: "device-choose-btn",
                onClick: this.clickPanel
            }, _react.default.createElement(_amosIcon.default, {
                icon: "device-choose-root" === o ? "right" : "left"
            })), _react.default.createElement("div", {
                className: "device-choose-panel"
            }, _react.default.createElement("div", {
                className: "topo-content-device"
            }, _react.default.createElement("div", {
                className: "topo-content-device-switch"
            }, _react.default.createElement("div", {
                className: "private-device"
            }, _react.default.createElement("div", {
                className: "private-device-label"
            }, "我的设备"))), _react.default.createElement("div", {
                className: "topo-content-device-filter"
            }, _react.default.createElement("div", {
                className: "topo-content-device-filter-type"
            }, _react.default.createElement(_amosAntd.Select, {
                placeholder: "类别",
                allowClear: !0,
                size: "default",
                onChange: function(t) {
                    return e.onSelectedChange(t, "type");
                },
                style: {
                    width: "123px"
                },
                dropdownStyle: {
                    width: "123px"
                }
            }, dataTypeOption)), _react.default.createElement("div", {
                className: "topo-content-device-filter-industry"
            }, _react.default.createElement(_amosAntd.Select, {
                placeholder: "行业",
                allowClear: !0,
                size: "default",
                onChange: function(t) {
                    return e.onSelectedChange(t, "industryId");
                },
                style: {
                    width: "123px"
                },
                dropdownStyle: {
                    width: "123px"
                }
            }, l))), _react.default.createElement(_SearchBar.default, {
                searchParam: c,
                communityOptions: r,
                handleCriterias: a,
                equiptemplateIndustryOptions: l
            }), _react.default.createElement("div", {
                className: "device-choose-content",
                ref: function(t) {
                    return e.deviceChoosePanel = t;
                }
            }, i(this.deviceChoosePanel)))));
        }
    } ]), r;
}(_react.Component);

ChooseEquipmentPanel.displayName = "ChooseEquipmentPanel", ChooseEquipmentPanel.propTypes = {
    getPublicDevice: _propTypes.default.func,
    getPrivateDevice: _propTypes.default.func,
    communityOptions: _propTypes.default.func,
    handleCriterias: _propTypes.default.func,
    generatePanelByDevice: _propTypes.default.func,
    changeLeftPanelWidth: _propTypes.default.func
};

var _default = ChooseEquipmentPanel;

exports.default = _default;