"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard"), _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _echarts = require("amos-viz/lib/echarts"), _processor = require("../../../../utils/processor"), _urlConsts = _interopRequireDefault(require("../../../../consts/urlConsts")), _TubeEquipNumData = require("./chartData/TubeEquipNumData");

function _createSuper(e) {
    var t = _isNativeReflectConstruct();
    return function() {
        var r, u = (0, _getPrototypeOf2.default)(e);
        if (t) {
            var i = (0, _getPrototypeOf2.default)(this).constructor;
            r = Reflect.construct(u, arguments, i);
        } else r = u.apply(this, arguments);
        return (0, _possibleConstructorReturn2.default)(this, r);
    };
}

function _isNativeReflectConstruct() {
    if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
    if (Reflect.construct.sham) return !1;
    if ("function" == typeof Proxy) return !0;
    try {
        return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
        !0;
    } catch (e) {
        return !1;
    }
}

var TubeEquipNum = function(e) {
    (0, _inherits2.default)(r, e);
    var t = _createSuper(r);
    function r(e) {
        var u;
        return (0, _classCallCheck2.default)(this, r), (u = t.call(this, e)).state = {
            controller: 0,
            sensor: 0,
            collector: 0,
            electric: 0,
            fire: 0,
            net: 0,
            others: 0,
            industrial: 0
        }, u;
    }
    return (0, _createClass2.default)(r, [ {
        key: "componentWillMount",
        value: function() {
            var e = this, t = "".concat(_urlConsts.default.getDeviceCountByType);
            _processor.AmosFetch.get(t).then((function(e) {
                if (e.ok) return e.json();
                throw new Error("从服务端获取数据失败！");
            })).then((function(t) {
                "SUCCESS" === t.result && e.setState({
                    controller: t.dataList.controller,
                    sensor: t.dataList.sensor,
                    collector: t.dataList.collector
                });
            }));
            var r = "".concat(_urlConsts.default.getDeviceCountByIndustry);
            _processor.AmosFetch.get(r).then((function(e) {
                if (e.ok) return e.json();
                throw new Error("从服务端获取数据失败！");
            })).then((function(t) {
                "SUCCESS" === t.result && e.setState({
                    electric: t.dataList.electric,
                    fire: t.dataList.fire,
                    net: t.dataList.net,
                    others: t.dataList.others,
                    industrial: t.dataList.industrial
                });
            }));
        }
    }, {
        key: "render",
        value: function() {
            var e = this.state, t = e.controller, r = e.sensor, u = e.collector, i = e.electric, a = e.fire, o = e.net, n = e.others, s = e.industrial;
            return _react.default.createElement("div", {
                className: "overview-item-chart"
            }, _react.default.createElement("div", {
                className: "overview-tubeequipnum-left"
            }, _react.default.createElement(_echarts.PieCharts, {
                pieOps: (0, _TubeEquipNumData.option)(t, r, u),
                chartStyle: {
                    width: "100%",
                    height: "309px"
                }
            })), _react.default.createElement("div", {
                className: "overview-tubeequipnum-right"
            }, _react.default.createElement(_echarts.PieCharts, {
                pieOps: (0, _TubeEquipNumData.option2)(i, a, o, n, s),
                chartStyle: {
                    width: "100%",
                    height: "309px"
                }
            })));
        }
    } ]), r;
}(_react.Component);

TubeEquipNum.displayName = "TubeEquipNum";

var _default = TubeEquipNum;

exports.default = _default;